%global momorel 13
%global emacsver 23.2
%global e_sitedir %{_datadir}/emacs/site-lisp
%global confsamp %{_datadir}/config-sample
%global realname php-mode

Summary: Major mode for editing PHP code
Name: elisp-%{realname}
Version: 1.5.0
Release: %{momorel}m%{?dist}
License: GPLv3+
Group: Applications/Editors
URL: http://php-mode.sourceforge.net/
Source0: http://dl.sourceforge.net/sourceforge/%{realname}/%{realname}-%{version}.tar.gz
NoSource: 0
Source1: php-mode.dot.emacs
Source2: php-mode-init.el
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: emacs >= %{emacsver}
BuildRequires: elisp-c-comment-edit >= 1.02-22m
BuildRequires: texinfo
Requires: emacs >= %{emacsver}
Requires: elisp-c-comment-edit >= 1.02-22m
Requires(post): info
Requires(preun): info
Obsoletes: php-mode-emacs
Obsoletes: php-mode-xemacs

%description
PHP mode is a major mode for editing PHP 3 and 4 source code.  It's an
extension of C mode; thus it inherits all C mode's navigation
functionality.  But it colors according to the PHP grammar and indents
according to the PEAR coding guidelines.  It also includes a couple
handy IDE-type features such as documentation search and a source and
class browser.

%prep
%setup -q -n %{realname}-%{version}
chmod -x php-mode.el

%build
emacs -q -batch -f batch-byte-compile %{realname}.el
make php-mode.info

%install
rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{e_sitedir}/%{realname}
%{__install} -m 0644 %{realname}.el %{buildroot}%{e_sitedir}/%{realname}
%{__install} -m 0644 %{realname}.elc %{buildroot}%{e_sitedir}/%{realname}/%{realname}.elc

%{__mkdir_p} %{buildroot}%{e_sitedir}/site-start.d
%{__install} -m 0644 %{SOURCE2} %{buildroot}%{e_sitedir}/site-start.d

%{__mkdir_p} %{buildroot}%{_infodir}
%{__install} -m 0644 %{realname}.info %{buildroot}%{_infodir}

%{__mkdir_p} %{buildroot}%{confsamp}/%{name}
%{__install} -m 0644 %{SOURCE1} %{buildroot}%{confsamp}/%{name}/%{realname}.dot.emacs

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/%{realname}.info %{_infodir}/dir  --entry="* PHP: (php-mode).              Major mode for editing PHP code."

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{realname}.info %{_infodir}/dir --entry="* PHP: (php-mode).              Major mode for editing PHP code."
fi

%files
%defattr(-,root,root,-)
%doc ChangeLog
%{confsamp}/%{name}/%{realname}.dot.emacs
%dir %{e_sitedir}/%{realname}
%{e_sitedir}/%{realname}/%{realname}.el*
%{e_sitedir}/site-start.d/%{realname}-init.el
%{_infodir}/%{realname}.info*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.0-13m)
- full rebuild for mo7 release

* Sun Jun 13 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.0-12m)
- rebuild against emacs-23.2

* Tue Mar 16 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.0-11m)
- merge php-mode-emacs to elisp-php-mode

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.0-10m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Jul 30 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.0-9m)
- rebuild against emacs 23.1

* Tue Jul 28 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.0-8m)
- rebuild against emacs 23.0.96

* Sun Jun 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.0-7m)
- rebuild against emacs-23.0.95

* Mon May 25 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.0-6m)
- rebuild against emacs-23.0.94

* Fri May 22 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.0-5m)
- rebuild against xemacs-21.5.29

* Sun May 03 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.0-4m)
- rebuild against emacs-23.0.93

* Thu Apr 02 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.0-3m)
- rebuild against emacs-23.0.92

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.0-2m)
- rebuild against rpm-4.6

* Thu Nov  6 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.0-1m)
- update to 1.5.0
- good-bye php-mode-xemacs

* Sun Sep 07 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.0-15m)
- rebuild against emacs-22.3

* Thu Jul 24 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.0-14m)
- rebuild against xemacs-21.5.28

* Sat Apr 19 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.0-13m)
- rebuild against emacs-22.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.0-12m)
- rebuild against gcc43

* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.0-11m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.0-10m)
- rebuild against emacs-22.1

* Sat Mar 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.0-9m)
- rebuild against emacs-22.0.96

* Sun Mar  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.0-8m)
- rebuild against emacs-22.0.95

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.0-7m)
- rebuild against emacs-22.0.94

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.0-6m)
- rebuild against emacs-22.0.93

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.0-5m)
- rebuild against emacs-22.0.92

* Thu Nov 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.0-4m)
- rebuild against emacs-22.0.91

* Sun Oct 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.0-3m)
- rebuild against emacs-22.0.90

* Sat Dec 24 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.1.0-2m)
- remove c-comment-edit.el
- add 'Requires: c-comment-edit-emacs'

* Tue May 17 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.1.0-1m)
- ver. up

* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.0.5-6m)
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.5-5m)
- rebuild against emacs 22.0.50

* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0.5-4m)
- revised spec for enabling rpm 4.2.

* Sat Dec 13 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0.5-3m)
- modify patch.

* Tue Nov 25 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0.5-2m)
- modify patch.

* Wed Nov 19 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0.5-1m)
- update to upstream version.
- remake patch.

* Mon Mar 24 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0.4-3m)
- fix patch (key bind)

* Fri Mar 21 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.4-2m)
- rebuild against emacs-21.3
- define emacsver, xemacsver

* Wed Mar 19 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0.4-1m)
- first import to Momonga.
- cleate patch.
  php-complete-function implemented. (from css-mode.el)
  modify variable definition for font-lock
    and  php-complete-function.
